Approval Request by ID
Return single approval request by ID
approvalRequest
Returns a single approval request by ID, including its full list of line items (opportunities) and each line item's associated product.
Method
POST
Path
/graphql
Authentication
Bearer Token
Request Body Schema
Content-type: application/json
Variables
| Name | Type | Required | Description |
|---|---|---|---|
id | ID | Required | The approval request ID |
Example Payload
{
"query": "query ($id: ID!) { approvalRequest(id: $id) { id sales_contact request_type request_date sales_region validity_period customer_name project_name account_number end_customer_name rep_firm expected_delivery_date reviewed_by review_date status other_details created_at updated_at opportunities { id partnumber quote_quantity requested_price competitor_name competitor_product requested_discount loa approved_price approval_level approved_discount pii_cost pii_margin_requested_price pii_margin_approved_price tariff_surcharge review_date status other_details product { id partnumber description list_price } } } }",
"variables": {
"id": "01JNQX4KZB7WNVR3MPXT6A0010"
}
}
Response
Returns a single ApprovalRequest object with all fields and nested opportunities.
Example Response
{
"data": {
"approvalRequest": {
"id": "01JNQX4KZB7WNVR3MPXT6A0010",
"sales_contact": "John Smith",
"request_type": "standard",
"request_date": "2026-03-24",
"sales_region": "NA",
"validity_period": "90 days",
"customer_name": "Acme Corp",
"project_name": "Q2 Expansion",
"account_number": "ACME-001",
"end_customer_name": "Acme Industries",
"rep_firm": "Smith & Associates",
"expected_delivery_date": "2026-06-01",
"reviewed_by": null,
"review_date": null,
"status": "pending",
"other_details": null,
"created_at": "2026-03-24 10:00:00",
"updated_at": "2026-03-24 10:00:00",
"opportunities": [
{
"id": "01JNQX4KZB7WNVR3MPXT6A0011",
"partnumber": "ABC-001",
"quote_quantity": 100,
"requested_price": 85.0,
"competitor_name": "Rival Co",
"competitor_product": "R-100",
"requested_discount": 14.99,
"loa": null,
"approved_price": null,
"approval_level": null,
"approved_discount": null,
"pii_cost": 60.0,
"pii_margin_requested_price": 29.41,
"pii_margin_approved_price": null,
"tariff_surcharge": 5.0,
"review_date": null,
"status": "pending",
"other_details": null,
"product": {
"id": "1",
"partnumber": "ABC-001",
"description": "Standard Widget",
"list_price": 99.99
}
}
]
}
}
}
Errors
Example Response
{
"errors": [
{
"message": "Unauthenticated."
}
]
}
Method
POSTPath
/graphql